name: FlightFinder
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    macOS: "13.0"
  developmentLanguage: en
  xcodeVersion: "15.0"

settings:
  base:
    SWIFT_VERSION: "5.9"
    MACOSX_DEPLOYMENT_TARGET: "13.0"
    DEVELOPMENT_TEAM: ""
    CODE_SIGN_STYLE: Automatic

targets:
  FlightFinder:
    type: application
    platform: macOS
    sources:
      - FlightFinder
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.flightfinder
        INFOPLIST_FILE: FlightFinder/Info.plist
        GENERATE_INFOPLIST_FILE: true
        PRODUCT_NAME: FlightFinder
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME: AccentColor
        INFOPLIST_KEY_CFBundleDisplayName: FlightFinder
        INFOPLIST_KEY_LSApplicationCategoryType: "public.app-category.travel"
        INFOPLIST_KEY_NSHumanReadableCopyright: "Copyright © 2024 NEOG. All rights reserved."
    entitlements:
      path: FlightFinder/FlightFinder.entitlements
      properties:
        com.apple.security.app-sandbox: true
        com.apple.security.network.client: true

schemes:
  FlightFinder:
    build:
      targets:
        FlightFinder: all
    run:
      config: Debug
    profile:
      config: Release
    analyze:
      config: Debug
    archive:
      config: Release
